package com.wechat.model.requestDto;

import javax.validation.constraints.NotNull;

/**
 * @author jadyn.wu
 * @date: 2022-02-23 18:41
 */
public class AdCtrReq {
	@NotNull(message="广告id不能为空|Advertising ID can not be empty.")
	private Integer adId; // 广告图片id

	//广告展现量
	private int showNum;
	//广告点击量
	private int clickNum;
	
	//分享的职位id（免登陆状态下用来验证）
	private String shareJob;
	

	public Integer getAdId() {
		return adId;
	}
	public void setAdId(Integer adId) {
		this.adId = adId;
	}

	public int getShowNum() {
		return showNum;
	}
	public void setShowNum(int showNum) {
		this.showNum = showNum;
	}
	public int getClickNum() {
		return clickNum;
	}
	public void setClickNum(int clickNum) {
		this.clickNum = clickNum;
	}
	public String getShareJob() {
		return shareJob;
	}
	public void setShareJob(String shareJob) {
		this.shareJob = shareJob;
	}
	
	
}
